#include<iostream>
#include<string>
using namespace std;

int main()
{
    int i,j=0,br=0,m=0,najmanji,poz=0,b;
    string t,s;
    cin>>t;
    cin>>s;
    m=s.length();
    int p[m];
    for(i=0;i<m;i++){
    	p[i]=0;
	}
    for(i=0;i<m;i++){
        while(s[i]==t[j]){
            p[i]=p[i]+1;
            j++;
        }
    }
    najmanji=p[0];
    j=0;
    for(i=0;i<m;i++){
        if(najmanji>p[i]){
            najmanji=p[i];
            poz=i;
        }
    }
    while(b<m){
            if(t[j]==s[poz]){
                t[j]='*';
            }
            j++;
            b++;
        }
    cout<<najmanji<<endl<<t;
}